function servercmdtradeWinner(%client,%target)
{
	if(%client.winner)
	{
		%target = findclientbyname(%target);
		if(!isObject(%target))
		{
			messageclient(%client,'',"There is no one by that name.");
			return;
		}
		%target.winner = true;
		%client.winner = false;
		messageall('',"<color:00FFFF>" @ %client.name SPC "<color:FFFF00>traded his position with<color:00FFFF>" SPC %target.name);
		commandtoall('centerPrint',"<color:00FFFF>" @ %client.name SPC "<color:FFFF00>traded his position with<color:00FFFF>" SPC %target.name,6);
		if(isObject(%client.player))
			%client.instantRespawn();
		if(isObject(%target.player))
			%target.instantRespawn();
	}
	else
		messageclient(%client,'',"You must be a winner to do this!");
}

function servercmdnewWinner(%client)
{
	if(%client.isAdmin || %client.isSuperAdmin)
	{
		messageall('',"<color:00FFFF>" @ %client.name @ "<color:FFFF00> ended the round early, choosing random winner!");
		randomWinner();
	}
	else
		messageclient(%client,'',"You must be admin to do this!");
}

function servercmdcompileGate(%client,%name1,%name2,%name3,%name4)
{
	if(%client.isAdmin || %client.isSuperAdmin)
	{
		if(strlen(%name1) < 1)
		{
			messageclient(%client,'',"You need to specify a name.");
			return;
		}
		%name = %name1;
		if(strlen(%name2) > 0)
			%name = %name SPC %name2;
		if(strlen(%name3) > 0)
			%name = %name SPC %name3;
		if(strlen(%name4) > 0)
			%name = %name SPC %name4;

		%name = strReplace(%name," ","_");
		%name = "_" @ %name;
		messageclient(%client,'',"NT Name search: " @ %name);
		$gateBricks = 0;
		for(%a=0;%a<%client.brickGroup.getCount();%a++)
		{
			%brick = %client.brickGroup.getObject(%a);
			if(isObject(%brick))
			{
				if(%brick.getName() $= %name)
				{
					$gateBrick[$gateBricks] = %brick;
					$gateBricks++;
				}
			}
		}
		messageall('',"<color:FFFF00>Compiled <color:FFFFFF>" @ $gateBricks @ "<color:FFFF00> gate bricks.");
	}
	else
		messageclient(%client,'',"You must be admin to do this!");
}

function servercmdfallingTiles(%client)
{
	messageclient(%client,'',"No more than" SPC $fallingTiles SPC "tiles.");
}

function servercmdclearFallingTiles(%client)
{
	if(%client.isAdmin || %client.isSuperAdmin)
	{
		messageall('',"<color:00FFFF>" @ %client.name @ "<color:FFFF00> cleared all falling tiles.");
		for(%a=0;%a<$fallingTiles;%a++)
			if(isObject($fallingTile[%a]))
				$fallingTile[%a].delete();
		$fallingTiles = 0;
	}
	else
		messageclient(%client,'',"You must be admin to do this!");
}

function servercmdftenable(%client)
{
	if(%client.isAdmin || %client.isSuperAdmin)
	{
		$FTilesEnabled = true;
		randomwinner();
		talk("Falling tiles on!");
	}
}

function servercmdftdisable(%client)
{
	if(%client.isAdmin || %client.isSuperAdmin)
	{
		$FTilesEnabled = false;
		talk("Falling tiles off!");
	}
}